# Proxy Support

> Detect native [`Proxy`][mdn-proxy] support.


<section class="usage">

## Usage

``` javascript
var hasProxySupport = require( '@stdlib/utils/detect-proxy-support' );
```

#### hasProxySupport()

Detects if a runtime environment supports ES2015 [`Proxy`][mdn-proxy].

``` javascript
var bool = hasProxySupport();
// returns <boolean>
```

</section>

<!-- /.usage -->


<section class="examples">

## Examples

``` javascript
var hasProxySupport = require( '@stdlib/utils/detect-proxy-support' );

var bool = hasProxySupport();
if ( bool ) {
    console.log( 'Environment has native Proxy support.' );
} else {
    console.log( 'Environment lacks native Proxy support.' );
}
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: hasproxy [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->

<section class="examples">

### Examples

``` bash
$ hasproxy
<boolean>
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


<section class="links">

[mdn-proxy]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Proxy

</section>

<!-- /.links -->
